%global    fontname    cantarell
%global    fontconf    31-%{fontname}.conf

Name:                  abattis-cantarell-fonts
Version:               0.201
Release:               1
Summary:               Humanist sans serif font

License:               OFL
URL:                   https://git.gnome.org/browse/cantarell-fonts/
Source0:               https://download.gnome.org/sources/cantarell-fonts/0.201/cantarell-fonts-%{version}.tar.xz
Source1:               cantarell-fontconfig.conf

BuildArch:             noarch

BuildRequires:         fontpackages-devel gettext libappstream-glib-devel meson

Requires:              fontpackages-filesystem

%description
This package is the default font for the user interface, which replaces Bitstream Vera.
The font was originally created by Dave Crossland in 2009.

%package_help

%prep
%autosetup -n cantarell-fonts-%{version}

%build
%meson
%meson_build

%install
%meson_install

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} %{buildroot}%{_fontconfig_confdir}

install -m 0644 -p %{SOURCE1} %{buildroot}%{_fontconfig_templatedir}/%{fontconf}

ln -s %{_fontconfig_templatedir}/%{fontconf} %{buildroot}%{_fontconfig_confdir}/%{fontconf}

%check
appstream-util validate-relax --nonet  %{buildroot}%{_datadir}/metainfo/org.gnome.cantarell.metainfo.xml

%_font_pkg -f %{fontconf} *.otf
%license COPYING

%files help
%doc NEWS README.md
%{_datadir}/metainfo/org.gnome.cantarell.metainfo.xml

%changelog
* Mon Aug 17 2020 jinzhimin <jinzhimin2@huawei.com> - 0.201-1
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:version update

* Mon Sep 30 2019 openEuler Buildteam <buildteam@openeuler.org> - 5.4-15
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:add requires

* Tue Sep 3 2019 openEuler Buildteam<buildteam@openeuler.org> - 0.111-2
- Package init
